你的位置:首页 > 操作系统

[操作系统]SYMBDSNAP_SDK[3943]: Failed to open device: /dev/symbdsnapctl, errno: 2


在Linux的日志/var/log/message里面看到下面错误信息:

Oct 26 09:48:42 xxxxxxx SYMBDSNAP_SDK[3943]: Failed to open device: /dev/symbdsnapctl, errno: 2.

Google搜索了一下,发现出现这个错误的原因:

Advanced Open File Option for Linux (AOFO-L) is not supported for the use with the kernel version. (For details, please see NOTE below.)

NOTE:

"SymBDSnap" in messages is a driver name for AOFO-L.

The requisite to enable AOFO-L depends on the kernel versions rather than Linux OS versions.

Please refer to the following URL for the kernel version corresponding for each Red Hat release version, since the available kernel versions are not described in Software Compatibility List (SCL) for Backup Exec.

https://access.redhat.com/site/articles/3078

For instance:

Software Compatibility List (SCL) for Backup Exec 2012 says that AOFO-L is supported for the use with Red Hat 6 Update 1. Red Hat says that the kernel version for Red Hat 6 Update 1 is 2.6.32-131.0.15.

AOFO-L is supported for the use with 2.6.32-131.0.15 as a consequence. If the kernel version is 2.6.32-220 or later, AOFO-L is not supported as of 12 August 2013.

SymBDSnap是针对AOFO-L的设备名。
 
启用AOFO-L需要是相应内核版本的支持,而不是某些Linux版本。
 
请参考下面的URL,对比每个REDHAT版本相应的内核版本,
 
可知REDHAT使用的内核版本不再Backup Exec的兼容性列表中。
 
https://access.redhat.com/site/articles/3078
 
实例说明:
 
Backup Exec 2012软件兼容性列表中说Redhat 6 update 1支持 AOFO-L。 
 
Redhat说Redhat 6 update 1的内核版本是 2.6.32-131.0.15。
 
AOFO-L支持2.6.32-131.0.15内核版本。如果内核版本是
 
2.6.32-220或者更新的版本,AOFO-L在2013.8.12以后就不被支持了。


 

刚好出现错误的系版本为Oracle Linux Server release 5.7, 内核版本为 2.6.32-200.13.1.el5uek

$ cat /proc/version 
 
Linux version 2.6.32-200.13.1.el5uek (mockbuild@ca-build9.us.oracle.com) (gcc version 4.1.2 20080704 (Red Hat 4.1.2-50)) #1 SMP Wed Jul 27 21:02:33 EDT 2011


所以出现了上述错误。不过可以忽略此消息。执行备份而无需使用AOFO L。

 

参考资料:

http://www.jianshu.com/p/b6585a501ca1

https://www.veritas.com/support/en_US/article.000018862